CMSIS-DSP: arm_cfft_f64.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_f64.c File Reference

## Functions

void | arm_radix4_butterfly_f64 (float64_t *pSrc, uint16_t fftLen, const float64_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_64 (uint64_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTable)
| In-place 64 bit reversal function. More...
void | arm_cfft_radix4by2_f64 (float64_t *pSrc, uint32_t fftLen, const float64_t *pCoef)
void | arm_cfft_f64 (const arm_cfft_instance_f64 *S, float64_t *p1, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Processing function for the Double Precision floating-point complex FFT. More...

## Function Documentation

void arm_bitreversal_64 | ( | uint64_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place buffer of unknown 64-bit data type
  [in] | bitRevLen | bit reversal table length
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_cfft_radix4by2_f64 | ( | float64_t * | pSrc,
|  | uint32_t | fftLen,
|  | const float64_t * | pCoef
| ) |  |

void arm_radix4_butterfly_f64 | ( | float64_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float64_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group